# dmxevents.h File Reference

Go to the source code of this file.

## Functions

void | dmxMotion (DevicePtr pDev, int *v, int firstAxis, int axesCount, DMXMotionType type, DMXBlockType block)
void | dmxEnqueue (DevicePtr pDev, int type, int detail, KeySym keySym, XEvent *e, DMXBlockType block)
int | dmxCheckSpecialKeys (DevicePtr pDev, KeySym keySym)
void | dmxInvalidateGlobalPosition (void)

## Detailed Description

Interface to event processing functions.

See also:
  dmxevents.h

## Function Documentation

int dmxCheckSpecialKeys | ( | DevicePtr | pDev,
|  | KeySym | keySym |
| ) |  |  |

A pointer to this routine is passed to low-level input drivers so that all special keychecking is unified to this file. This function returns 0 if no special keys have been pressed. If the user has requested termination of the DMX server, -1 is returned. If the user has requested a switch to a VT, then the (1-based) number of that VT is returned.

References DMXDBG2, dmxInfo, dmxLocalCoreKeyboard, dmxLog(), and _DMXLocalInputInfo::pDevice.

Referenced by dmxCollectAll(), and dmxSigioHandler().

void dmxEnqueue | ( | DevicePtr | pDev,
|  | int | type,
|  | int | detail,
|  | KeySym | keySym,
|  | XEvent * | e,
|  | DMXBlockType | block |
| ) |  |  |

Enqueue an event from the pDev device with the specified type and detail. If the event is a KeyPress or KeyRelease event, then the keySym is also specified.

FIXME: make the code do what the comment says, or remove this comment. If block is set to DMX_BLOCK, then the SIGIO handler will be blocked around calls to dmxeqEnqueue().

References dmxCheckFunctionKeys(), DMXDBG2, dmxEventName(), dmxFixup(), dmxGetButtonMapping(), dmxKeyCodeToKeySym(), dmxLocalCoreKeyboard, dmxLogInput(), dmxTranslateAndEnqueueExtEvent(), ProximityIn, and ProximityOut.

Referenced by dmxCollectAll(), and dmxSigioHandler().

void dmxInvalidateGlobalPosition | ( | void |  | ) |

Invalidate the global position for dmxCoreMotion.

References dmxGlobalInvalid.

Referenced by dmxBackendLateReInit().

void dmxMotion | ( | DevicePtr | pDev,
|  | int * | v,
|  | int | firstAxes,
|  | int | axesCount,
|  | DMXMotionType | type,
|  | DMXBlockType | block |
| ) |  |  |

Enqueue a motion event for pDev. The v vector has length axesCount, and contains values for each of the axes, starting at firstAxes.

The type of the motion may be DMX_RELATIVE, DMX_ABSOLUTE, or DMX_ABSOLUTE_CONFINED (in the latter case, the pointer will not be allowed to move outside the global boundaires).

If block is set to DMX_BLOCK, then the SIGIO handler will be blocked around calls to enqueueMotion().

References DMX_ABSOLUTE, DMX_ABSOLUTE_CONFINED, DMX_RELATIVE, dmxCoreMotion(), dmxExtMotion(), dmxGlobalX, and dmxGlobalY.

Referenced by dmxCollectAll(), and dmxSigioHandler().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>